# Copyright 2020 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# WAsm SIMD
- name: xnn_f32_igemm_ukernel_1x8__wasmsimd_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_1x8__wasmsimd_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_1x8s4__wasmsimd
  k-block: 4
- name: xnn_f32_igemm_ukernel_3x8__wasmsimd_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_3x8__wasmsimd_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_3x8s4__wasmsimd
  k-block: 4
- name: xnn_f32_igemm_ukernel_4x2c4__wasmsimd
  k-block: 4
- name: xnn_f32_igemm_ukernel_4x8__wasmsimd_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_4x8__wasmsimd_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_4x8s4__wasmsimd
  k-block: 4
- name: xnn_f32_igemm_ukernel_5x8__wasmsimd_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_5x8__wasmsimd_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_5x8s4__wasmsimd
  k-block: 4
- name: xnn_f32_igemm_ukernel_6x8__wasmsimd_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_6x8__wasmsimd_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_6x8s4__wasmsimd
  k-block: 4
# WAsm Relaxed SIMD
- name: xnn_f32_igemm_ukernel_1x8__wasmrelaxedsimd_fma_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_1x8__wasmrelaxedsimd_fma_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_1x8s4__wasmrelaxedsimd_fma
  k-block: 4
- name: xnn_f32_igemm_ukernel_3x8__wasmrelaxedsimd_fma_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_3x8__wasmrelaxedsimd_fma_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_3x8s4__wasmrelaxedsimd_fma
  k-block: 4
- name: xnn_f32_igemm_ukernel_4x2c4__wasmrelaxedsimd_fma
  k-block: 4
- name: xnn_f32_igemm_ukernel_4x8__wasmrelaxedsimd_fma_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_4x8__wasmrelaxedsimd_fma_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_4x8s4__wasmrelaxedsimd_fma
  k-block: 4
- name: xnn_f32_igemm_ukernel_5x8__wasmrelaxedsimd_fma_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_5x8__wasmrelaxedsimd_fma_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_5x8s4__wasmrelaxedsimd_fma
  k-block: 4
- name: xnn_f32_igemm_ukernel_6x8__wasmrelaxedsimd_fma_loadsplat
  k-block: 1
- name: xnn_f32_igemm_ukernel_6x8__wasmrelaxedsimd_fma_splat
  k-block: 4
- name: xnn_f32_igemm_ukernel_6x8s4__wasmrelaxedsimd_fma
  k-block: 4
# Scalar
- name: xnn_f32_igemm_ukernel_1x4__scalar
  k-block: 1
- name: xnn_f32_igemm_ukernel_2x4__scalar
  k-block: 1
- name: xnn_f32_igemm_ukernel_4x2__scalar
  k-block: 1
- name: xnn_f32_igemm_ukernel_4x4__scalar
  k-block: 1
